Get destination
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"type": "CRYPTO",
"status": "ACTIVE",
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"name": "<string>",
"createdAt": "2026-08-07T12:34:56.000Z",
"externalId": "<string>",
"statusReason": "<string>",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
}
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get destination
Permissions required: Read vault activity
Get a destination. This is also how creation progress is checked: the destination is readable as soon as it is requested, reporting PENDING until creation completes.
GET
/
accounts
/
{accountId}
/
destinations
/
{destinationId}
Get destination
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"type": "CRYPTO",
"status": "ACTIVE",
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"name": "<string>",
"createdAt": "2026-08-07T12:34:56.000Z",
"externalId": "<string>",
"statusReason": "<string>",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
}
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Path Parameters
Was this page helpful?